Comment compiler le module gspca_zc3xx ?

Le
geo cherchetout
Bonjour,

Depuis mon passage de Mageia 1 à Mageia 2, l'image obtenue avec ma webcam
est devenue très sombre dans vlc et cheese, encore plus sombre dans
Linphone. Le module impliqué se nomme gspca_zc3xx et j'ai trouvé par
tâtonnements que l'image s'améliore sensiblement si ce module est chargé
avec l'option force_sensor=0. Mais je voudrais essayer une version peut-être
plus récente. J'ai donc récupéré ici
http://linuxtv.org/downloads/drivers/linux-media-2012-06-22.tar.bz2 une
archive (de 4,2 Mo) que j'ai décompactée. De proche en proche, j'ai navigué
jusqu'au répertoire
~/Téléchargements/linux-media-2012-06-22/drivers/media/video/gspca/ dont
voici le contenu :

$ ls -1
autogain_functions.c
autogain_functions.h
benq.c
conex.c
cpia1.c
etoms.c
finepix.c
gl860/
gspca.c
gspca.h
jeilinj.c
jl2005bcd.c
jpeg.h
Kconfig
kinect.c
konica.c
m5602/
Makefile
mars.c
mr97310a.c
nw80x.c
ov519.c
ov534_9.c
ov534.c
pac207.c
pac7302.c
pac7311.c
pac_common.h
se401.c
se401.h
sn9c2028.c
sn9c2028.h
sn9c20x.c
sonixb.c
sonixj.c
spca1528.c
spca500.c
spca501.c
spca505.c
spca506.c
spca508.c
spca561.c
sq905.c
sq905c.c
sq930x.c
stk014.c
stv0680.c
stv06xx/
sunplus.c
t613.c
topro.c
tv8532.c
vc032x.c
vicam.c
w996Xcf.c
xirlink_cit.c
zc3xx.c
zc3xx-reg.h

Mais un simple make ne fait rien du tout et je devine qu'il faut lui fournir
des arguments. Il me faut un fichier .ko mais, même en réduisant mes
exigences pour être compris, voici ce que j'obtiens de mieux :

$ make zc3xx.o
cc -c -o zc3xx.o zc3xx.c
In file included from zc3xx.c:25:0:
gspca.h:4:26: erreur fatale: linux/module.h : Aucun fichier ou dossier de ce
type
compilation terminée.
make: *** [zc3xx.o] Erreur 1

Et voila le contenu du Makefile présent dans le répertoire :

$ cat Makefile
obj-$(CONFIG_USB_GSPCA) += gspca_main.o
obj-$(CONFIG_USB_GSPCA_BENQ) += gspca_benq.o
obj-$(CONFIG_USB_GSPCA_CONEX) += gspca_conex.o
obj-$(CONFIG_USB_GSPCA_CPIA1) += gspca_cpia1.o
obj-$(CONFIG_USB_GSPCA_ETOMS) += gspca_etoms.o
obj-$(CONFIG_USB_GSPCA_FINEPIX) += gspca_finepix.o
obj-$(CONFIG_USB_GSPCA_JEILINJ) += gspca_jeilinj.o
obj-$(CONFIG_USB_GSPCA_JL2005BCD) += gspca_jl2005bcd.o
obj-$(CONFIG_USB_GSPCA_KINECT) += gspca_kinect.o
obj-$(CONFIG_USB_GSPCA_KONICA) += gspca_konica.o
obj-$(CONFIG_USB_GSPCA_MARS) += gspca_mars.o
obj-$(CONFIG_USB_GSPCA_MR97310A) += gspca_mr97310a.o
obj-$(CONFIG_USB_GSPCA_NW80X) += gspca_nw80x.o
obj-$(CONFIG_USB_GSPCA_OV519) += gspca_ov519.o
obj-$(CONFIG_USB_GSPCA_OV534) += gspca_ov534.o
obj-$(CONFIG_USB_GSPCA_OV534_9) += gspca_ov534_9.o
obj-$(CONFIG_USB_GSPCA_PAC207) += gspca_pac207.o
obj-$(CONFIG_USB_GSPCA_PAC7302) += gspca_pac7302.o
obj-$(CONFIG_USB_GSPCA_PAC7311) += gspca_pac7311.o
obj-$(CONFIG_USB_GSPCA_SE401) += gspca_se401.o
obj-$(CONFIG_USB_GSPCA_SN9C2028) += gspca_sn9c2028.o
obj-$(CONFIG_USB_GSPCA_SN9C20X) += gspca_sn9c20x.o
obj-$(CONFIG_USB_GSPCA_SONIXB) += gspca_sonixb.o
obj-$(CONFIG_USB_GSPCA_SONIXJ) += gspca_sonixj.o
obj-$(CONFIG_USB_GSPCA_SPCA500) += gspca_spca500.o
obj-$(CONFIG_USB_GSPCA_SPCA501) += gspca_spca501.o
obj-$(CONFIG_USB_GSPCA_SPCA505) += gspca_spca505.o
obj-$(CONFIG_USB_GSPCA_SPCA506) += gspca_spca506.o
obj-$(CONFIG_USB_GSPCA_SPCA508) += gspca_spca508.o
obj-$(CONFIG_USB_GSPCA_SPCA561) += gspca_spca561.o
obj-$(CONFIG_USB_GSPCA_SPCA1528) += gspca_spca1528.o
obj-$(CONFIG_USB_GSPCA_SQ905) += gspca_sq905.o
obj-$(CONFIG_USB_GSPCA_SQ905C) += gspca_sq905c.o
obj-$(CONFIG_USB_GSPCA_SQ930X) += gspca_sq930x.o
obj-$(CONFIG_USB_GSPCA_SUNPLUS) += gspca_sunplus.o
obj-$(CONFIG_USB_GSPCA_STK014) += gspca_stk014.o
obj-$(CONFIG_USB_GSPCA_STV0680) += gspca_stv0680.o
obj-$(CONFIG_USB_GSPCA_T613) += gspca_t613.o
obj-$(CONFIG_USB_GSPCA_TOPRO) += gspca_topro.o
obj-$(CONFIG_USB_GSPCA_TV8532) += gspca_tv8532.o
obj-$(CONFIG_USB_GSPCA_VC032X) += gspca_vc032x.o
obj-$(CONFIG_USB_GSPCA_VICAM) += gspca_vicam.o
obj-$(CONFIG_USB_GSPCA_XIRLINK_CIT) += gspca_xirlink_cit.o
obj-$(CONFIG_USB_GSPCA_ZC3XX) += gspca_zc3xx.o

gspca_main-objs := gspca.o autogain_functions.o
gspca_benq-objs := benq.o
gspca_conex-objs := conex.o
gspca_cpia1-objs := cpia1.o
gspca_etoms-objs := etoms.o
gspca_finepix-objs := finepix.o
gspca_jeilinj-objs := jeilinj.o
gspca_jl2005bcd-objs := jl2005bcd.o
gspca_kinect-objs := kinect.o
gspca_konica-objs := konica.o
gspca_mars-objs := mars.o
gspca_mr97310a-objs := mr97310a.o
gspca_nw80x-objs := nw80x.o
gspca_ov519-objs := ov519.o
gspca_ov534-objs := ov534.o
gspca_ov534_9-objs := ov534_9.o
gspca_pac207-objs := pac207.o
gspca_pac7302-objs := pac7302.o
gspca_pac7311-objs := pac7311.o
gspca_se401-objs := se401.o
gspca_sn9c2028-objs := sn9c2028.o
gspca_sn9c20x-objs := sn9c20x.o
gspca_sonixb-objs := sonixb.o
gspca_sonixj-objs := sonixj.o
gspca_spca500-objs := spca500.o
gspca_spca501-objs := spca501.o
gspca_spca505-objs := spca505.o
gspca_spca506-objs := spca506.o
gspca_spca508-objs := spca508.o
gspca_spca561-objs := spca561.o
gspca_spca1528-objs := spca1528.o
gspca_sq905-objs := sq905.o
gspca_sq905c-objs := sq905c.o
gspca_sq930x-objs := sq930x.o
gspca_stk014-objs := stk014.o
gspca_stv0680-objs := stv0680.o
gspca_sunplus-objs := sunplus.o
gspca_t613-objs := t613.o
gspca_topro-objs := topro.o
gspca_tv8532-objs := tv8532.o
gspca_vc032x-objs := vc032x.o
gspca_vicam-objs := vicam.o
gspca_xirlink_cit-objs := xirlink_cit.o
gspca_zc3xx-objs := zc3xx.o

obj-$(CONFIG_USB_M5602) += m5602/
obj-$(CONFIG_USB_STV06XX) += stv06xx/
obj-$(CONFIG_USB_GL860) += gl860/

Savez vous ce que je dois faire pour obtenir mon gspca_zc3xx.ko ?
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Toxico Nimbus
Le #24594441
Le 25/06/2012 18:31, geo cherchetout a écrit :
Bonjour,

Depuis mon passage de Mageia 1 à Mageia 2, l'image obtenue avec ma
webcam est devenue très sombre dans vlc et cheese, encore plus sombre
dans Linphone. Le module impliqué se nomme gspca_zc3xx et j'ai trouvé
par tâtonnements que l'image s'améliore sensiblement si ce module est
chargé avec l'option force_sensor=0. Mais je voudrais essayer une
version peut-être plus récente. J'ai donc récupéré ici
http://linuxtv.org/downloads/drivers/linux-media-2012-06-22.tar.bz2 une
archive (de 4,2 Mo) que j'ai décompactée. De proche en proche, j'ai
navigué jusqu'au répertoire
~/Téléchargements/linux-media-2012-06-22/drivers/media/video/gspca/ dont
voici le contenu :

$ ls -1
autogain_functions.c
autogain_functions.h
benq.c
conex.c
cpia1.c
etoms.c
finepix.c
gl860/
gspca.c
gspca.h
jeilinj.c
jl2005bcd.c
jpeg.h
Kconfig
kinect.c
konica.c
m5602/
Makefile
mars.c
mr97310a.c
nw80x.c
ov519.c
ov534_9.c
ov534.c
pac207.c
pac7302.c
pac7311.c
pac_common.h
se401.c
se401.h
sn9c2028.c
sn9c2028.h
sn9c20x.c
sonixb.c
sonixj.c
spca1528.c
spca500.c
spca501.c
spca505.c
spca506.c
spca508.c
spca561.c
sq905.c
sq905c.c
sq930x.c
stk014.c
stv0680.c
stv06xx/
sunplus.c
t613.c
topro.c
tv8532.c
vc032x.c
vicam.c
w996Xcf.c
xirlink_cit.c
zc3xx.c
zc3xx-reg.h

Mais un simple make ne fait rien du tout et je devine qu'il faut lui
fournir des arguments. Il me faut un fichier .ko mais, même en réduisant
mes exigences pour être compris, voici ce que j'obtiens de mieux :

$ make zc3xx.o
cc -c -o zc3xx.o zc3xx.c
In file included from zc3xx.c:25:0:
gspca.h:4:26: erreur fatale: linux/module.h : Aucun fichier ou dossier
de ce type
compilation terminée.
make: *** [zc3xx.o] Erreur 1

Et voila le contenu du Makefile présent dans le répertoire :

$ cat Makefile


[SNIP]

Savez vous ce que je dois faire pour obtenir mon gspca_zc3xx.ko ?



A première vue il te manque le paquet de développement noyau
(kernel-devel ou quelque chose comme ça). Le mieux serait peut-être
d'installer les sources complètes de ton noyau et d'y désarchiver ton
tar au bon endroit pour ensuite suivre la procédure normale.
geo cherchetout
Le #24595511
Le 26/06/2012 09:14, *Toxico Nimbus* a écrit fort à propos :

A première vue il te manque le paquet de développement noyau
(kernel-devel ou quelque chose comme ça). Le mieux serait peut-être
d'installer les sources complètes de ton noyau et d'y désarchiver ton
tar au bon endroit pour ensuite suivre la procédure normale.



Merci de t'intéresser à mon cas. J'ai donc procédé de cette façon et lancé
une compilation complète du noyau sans avoir rien changé à la configuration.
Après trois bonnes heures de travail sans accroc, les choses se sont vite
gâtées quand on est entré dans le répertoire gspca et tout s'est arrêté sur
ces derniers messages :

LD drivers/media/video/gspca/built-in.o
CC [M] drivers/media/video/gspca/benq.o
CC [M] drivers/media/video/gspca/conex.o
CC [M] drivers/media/video/gspca/cpia1.o
CC [M] drivers/media/video/gspca/etoms.o
CC [M] drivers/media/video/gspca/finepix.o
CC [M] drivers/media/video/gspca/jeilinj.o
CC [M] drivers/media/video/gspca/jl2005bcd.o
CC [M] drivers/media/video/gspca/kinect.o
CC [M] drivers/media/video/gspca/konica.o
CC [M] drivers/media/video/gspca/gspca.o
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In function
‘vidioc_querycap’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1366:5:
erreur: ‘struct v4l2_capability’ has no member named ‘device_caps’
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:25:
erreur: ‘struct v4l2_capability’ has no member named ‘device_caps’
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:41:
erreur: ‘V4L2_CAP_DEVICE_CAPS’ undeclared (first use in this function)
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:41: note:
each undeclared identifier is reported only once for each function it appears in
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In function
‘dev_poll’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2026:2:
erreur: implicit declaration of function ‘poll_requested_events’
[-Werror=implicit-function-declaration]
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2032:3:
erreur: implicit declaration of function ‘v4l2_ctrl_poll’
[-Werror=implicit-function-declaration]
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: Hors de toute
fonction :
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2165:28:
erreur: ‘v4l2_ctrl_subscribe_event’ undeclared here (not in a function)
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In function
‘gspca_dev_probe2’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2288:2:
erreur: implicit declaration of function ‘v4l2_disable_ioctl_locking’
[-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[5]: *** [drivers/media/video/gspca/gspca.o] Erreur 1
make[4]: *** [drivers/media/video/gspca] Erreur 2
make[3]: *** [drivers/media/video] Erreur 2
make[2]: *** [drivers/media] Erreur 2
make[1]: *** [drivers] Erreur 2
make: *** [sub-make] Erreur 2

Je suppose que cela signifie quelque chose ?
Toxico Nimbus
Le #24596091
Le 26/06/2012 14:04, geo cherchetout a écrit :
Le 26/06/2012 09:14, *Toxico Nimbus* a écrit fort à propos :

A première vue il te manque le paquet de développement noyau
(kernel-devel ou quelque chose comme ça). Le mieux serait peut-être
d'installer les sources complètes de ton noyau et d'y désarchiver ton
tar au bon endroit pour ensuite suivre la procédure normale.



Merci de t'intéresser à mon cas. J'ai donc procédé de cette façon et
lancé une compilation complète du noyau sans avoir rien changé à la
configuration. Après trois bonnes heures de travail sans accroc, les
choses se sont vite gâtées quand on est entré dans le répertoire gspca
et tout s'est arrêté sur ces derniers messages :

LD drivers/media/video/gspca/built-in.o
CC [M] drivers/media/video/gspca/benq.o
CC [M] drivers/media/video/gspca/conex.o
CC [M] drivers/media/video/gspca/cpia1.o
CC [M] drivers/media/video/gspca/etoms.o
CC [M] drivers/media/video/gspca/finepix.o
CC [M] drivers/media/video/gspca/jeilinj.o
CC [M] drivers/media/video/gspca/jl2005bcd.o
CC [M] drivers/media/video/gspca/kinect.o
CC [M] drivers/media/video/gspca/konica.o
CC [M] drivers/media/video/gspca/gspca.o
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In
function ‘vidioc_querycap’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1366:5:
erreur: ‘struct v4l2_capability’ has no member named ‘device_caps’
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:25:
erreur: ‘struct v4l2_capability’ has no member named ‘device_caps’
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:41:
erreur: ‘V4L2_CAP_DEVICE_CAPS’ undeclared (first use in this function)
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:1369:41:
note: each undeclared identifier is reported only once for each function
it appears in
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In
function ‘dev_poll’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2026:2:
erreur: implicit declaration of function ‘poll_requested_events’
[-Werror=implicit-function-declaration]
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2032:3:
erreur: implicit declaration of function ‘v4l2_ctrl_poll’
[-Werror=implicit-function-declaration]
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: Hors de
toute fonction :
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2165:28:
erreur: ‘v4l2_ctrl_subscribe_event’ undeclared here (not in a function)
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c: In
function ‘gspca_dev_probe2’:
/usr/src/linux-3.3.6-2.mga2/drivers/media/video/gspca/gspca.c:2288:2:
erreur: implicit declaration of function ‘v4l2_disable_ioctl_locking’
[-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[5]: *** [drivers/media/video/gspca/gspca.o] Erreur 1
make[4]: *** [drivers/media/video/gspca] Erreur 2
make[3]: *** [drivers/media/video] Erreur 2
make[2]: *** [drivers/media] Erreur 2
make[1]: *** [drivers] Erreur 2
make: *** [sub-make] Erreur 2

Je suppose que cela signifie quelque chose ?



Oui, cela signifie que ton module ne compilera qu'en présence de sources
plus récentes du noyau. L'intégration de device_caps dans la structure
v4l2_capabilities date du 11 janvier, donc des sources plus récentes que
ça devraient résoudre le problème.
Toxico Nimbus
Le #24596151
Le 25/06/2012 18:31, geo cherchetout a écrit :
Bonjour,

Depuis mon passage de Mageia 1 à Mageia 2, l'image obtenue avec ma
webcam est devenue très sombre dans vlc et cheese, encore plus sombre
dans Linphone. Le module impliqué se nomme gspca_zc3xx et j'ai trouvé
par tâtonnements que l'image s'améliore sensiblement si ce module est
chargé avec l'option force_sensor=0. Mais je voudrais essayer une
version peut-être plus récente. J'ai donc récupéré ici
http://linuxtv.org/downloads/drivers/linux-media-2012-06-22.tar.bz2 une
archive (de 4,2 Mo) que j'ai décompactée. De proche en proche, j'ai
navigué jusqu'au répertoire
~/Téléchargements/linux-media-2012-06-22/drivers/media/video/gspca/ dont


[SNIP]

Savez vous ce que je dois faire pour obtenir mon gspca_zc3xx.ko ?




Question toute bête : As-tu essayé d'installer une version plus récente
du pilote depuis cauldron ?
geo cherchetout
Le #24596281
Le 26/06/2012 17:28, *Toxico Nimbus* a écrit fort à propos :

Question toute bête : As-tu essayé d'installer une version plus récente
du pilote depuis cauldron ?



Oui, j'ai essayé et j'ai aussi essayé la version utilisée précédemment avec
plus de satisfaction sous Mageia 1, mais dans les deux cas je ne parviens
pas à charger le module, même avec modprobe -f.
Méthode utilisée : emprunt du fichier gspca_zc3xx.ko.xz ou gspca_zc3xx.ko.gz
dans le rpm. (Dans ce dernier cas recompression en xz.

Mais je viens d'avoir une inspiration : J'aurais peut-être dû aussi
emprunter en même temps le gspca_main qui va avec ?
geo cherchetout
Le #24596271
Le 26/06/2012 17:07, *Toxico Nimbus* a écrit fort à propos :

Oui, cela signifie que ton module ne compilera qu'en présence de sources
plus récentes du noyau. L'intégration de device_caps dans la structure
v4l2_capabilities date du 11 janvier, donc des sources plus récentes que
ça devraient résoudre le problème.



OK, je pourrai essayer avec les sources du 3.4.xyz de Cauldron, mais dans ce
cas il faudra peut-être que j'utilise aussi ce noyau ? Est-ce possible sans
passer à Mageia 3 ? Je pose la question parce que, sous Mageia 2, je n'ai
pas réussi à démarrer avec le noyau 2.6.zyx hérité de Mageia 1. Pas trop
insisté, je l'ai supprimé.
geo cherchetout
Le #24596881
Le 26/06/2012 17:48, *geo cherchetout* a écrit fort à propos :

Mais je viens d'avoir une inspiration : J'aurais peut-être dû aussi
emprunter en même temps le gspca_main qui va avec ?



Non, pas moyen d'insérer ces modules-là :

# modprobe -f gspca_main
ERROR: could not insert 'gspca_main': Exec format error

En dehors de ceux fournis par ma distribution, les seuls modules que j'ai pu
insérer (gspca_main + gspca_zc3xx) sont ceux de la dernière version de Jef
Moine. Malheureusement, ils ne m'apportent aucune amélioration...
Toxico Nimbus
Le #24597871
Le 26/06/2012 17:48, geo cherchetout a écrit :
Le 26/06/2012 17:28, *Toxico Nimbus* a écrit fort à propos :

Question toute bête : As-tu essayé d'installer une version plus récente
du pilote depuis cauldron ?



Oui, j'ai essayé et j'ai aussi essayé la version utilisée précédemment
avec plus de satisfaction sous Mageia 1, mais dans les deux cas je ne
parviens pas à charger le module, même avec modprobe -f.
Méthode utilisée : emprunt du fichier gspca_zc3xx.ko.xz ou
gspca_zc3xx.ko.gz dans le rpm. (Dans ce dernier cas recompression en xz.

Mais je viens d'avoir une inspiration : J'aurais peut-être dû aussi
emprunter en même temps le gspca_main qui va avec ?



Je pensais plutôt à prendre tout le noyau déjà compilé depuis cauldron.
C'est à peu près sans risque vu que le noyau n'a pas beaucoup de
dépendances et qu'il s'installera en parallèle de ton noyau mga2.
Toxico Nimbus
Le #24597861
Le 26/06/2012 17:56, geo cherchetout a écrit :
Le 26/06/2012 17:07, *Toxico Nimbus* a écrit fort à propos :

Oui, cela signifie que ton module ne compilera qu'en présence de sources
plus récentes du noyau. L'intégration de device_caps dans la structure
v4l2_capabilities date du 11 janvier, donc des sources plus récentes que
ça devraient résoudre le problème.



OK, je pourrai essayer avec les sources du 3.4.xyz de Cauldron, mais
dans ce cas il faudra peut-être que j'utilise aussi ce noyau ?



Oui, à moins de re-compiler toute la pile V4L2.

Est-ce
possible sans passer à Mageia 3 ? Je pose la question parce que, sous
Mageia 2, je n'ai pas réussi à démarrer avec le noyau 2.6.zyx hérité de
Mageia 1. Pas trop insisté, je l'ai supprimé.



A priori tu dois pouvoir fonctionner avec un noyau plus récent.
geo cherchetout
Le #24598021
Le 27/06/2012 07:25, *Toxico Nimbus* a écrit fort à propos :

Je pensais plutôt à prendre tout le noyau déjà compilé depuis cauldron.
C'est à peu près sans risque vu que le noyau n'a pas beaucoup de
dépendances et qu'il s'installera en parallèle de ton noyau mga2.



Je viens en effet de l'installer sans difficulté. Il s'agit d'un kernel
3.4.4 que je pourrais adopter pour de bon. Je suppose qu'il intègre tous les
modules gspca les plus récents puisqu'il vient d'être mis dans les dépôts
Cauldron aujourd'hui même. (?) Quoi qu'il en soit, mon problème de webcam
reste le même et ce n'est pas la webcam qui serait devenue défectueuse car
un autre exemplaire du même modèle donne la même mauvaise qualité d'images.
Dernière question : Comment peut on savoir quelle version des modules gspca
(ou autres) est livrée avec un noyau donné ?
Publicité
Poster une réponse
Anonyme